<?xml version="1.0" encoding="ISO-8859-1" standalone="yes"?>
<!--
The Apache Software License, Version 1.1

Copyright (c) 1999, 2000 The Apache Software Foundation.  All rights
reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in
   the documentation and/or other materials provided with the
   distribution.

3. The end-user documentation included with the redistribution, if
   any, must include the following acknowlegement:
      "This product includes software developed by the
       Apache Software Foundation (http://www.apache.org/)."
   Alternately, this acknowlegement may appear in the software itself,
   if and wherever such third-party acknowlegements normally appear.

4. The names "The Jakarta Project", "Ant", and "Apache Software
   Foundation" must not be used to endorse or promote products derived
   from this software without prior written permission. For written
   permission, please contact apache@apache.org.

5. Products derived from this software may not be called "Apache"
   nor may "Apache" appear in their names without prior written
   permission of the Apache Group.

THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
====================================================================

This software consists of voluntary contributions made by many
individuals on behalf of the Apache Software Foundation.  For more
information on the Apache Software Foundation, please see
<http://www.apache.org/>.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrn="http://xmlreleasenotes.free.fr">
	<!--
	This file belongs to XMLReleaseNotes V0.18.2.
	-->
	<!--
	The aim of this stylesheet is to gather in one place common parameters and named templates that are usefull for all transformations.
	-->
	<!--
	A boolean flag that tells whether a full stand-alone HTML page should be rendered, or just the HTML body inner content.
	-->
	<xsl:param name="standAloneHTML" select="'true'"/>
	<!--
	Defines the stylesheet URI that will be used by the generated HTML page. If not defined or empty, no external stylesheet will be used.
	-->
	<xsl:param name="CSS" select="'stylesheet.css'"/>
	<!--
	Defines the content of the additional stylesheet code that will be inlined within the generated HTML page, provided not null, nor empty.
	-->
	<xsl:param name="CSSContent"/>
	<!--
	Enables to define an abstract concerning the generated release notes, which will appear at the top. This abstract can be written under the HTML format.
	-->
	<xsl:param name="abstract"/>
	<!--
	This indicates whether the delivery should contain the advertizing banner at the bottom of the generated HTML stuff.
	-->
	<xsl:param name="banner" select="'true'"/>
	<!--
	Indicates whether the generated pages shoud use icons or not.
	-->
	<xsl:param name="useIcons" select="'true'"/>
	<!--
	This is a inner parameter that enables to know the XSLT implementation that is being used.
	At this moment, this is just the Java XSLT implementation FQN.
	-->
	<xsl:param name="XSLTImplementation"/>
	<!--
	The version of the XMLReleaseNotes framework.
	-->
	<xsl:variable name="_version" select="'0.18.2'"/>
	<!--
	This key will be used in order to sort the 'Feature' elements.
	-->
	<xsl:key name="feature_key" match="Feature" use="@ID"/>
	<!--
	Checks that the current XML release notes file version complies to the current XRN version and outputs a warning if not.
	The current node must be the 'ReleaseNotes' XML element.
	-->
	<xsl:template name="_checkVersion">
		<xsl:if test="@version != $_version">
			<xsl:message>Warning: the XRN version declared for component with ID '<xsl:value-of select="@ID"/>' is '<xsl:value-of select="@version"/>' whereas the current XRN framework version is '<xsl:value-of select="$_version"/>'; there may be incompatibily issues...</xsl:message>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
